## org.apache.tools.ant.types
Class Assertions

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.Assertions

public class Assertions
extends DataType

The assertion datatype. This type describes assertion settings for the <java> task and others. One can set the system assertions, and enable/disable those in packages & classes. Assertions can only be enabled or disabled when forking Java. Example: set system assertions and all org.apache packages except for ant, and the class org.apache.tools.ant.Main.

     <assertions enableSystemAssertions="true" >
       <enable package="org.apache" />
       <disable package="org.apache.ant" />
       <enable class="org.apache.tools.ant.Main"/>
     </assertions>

Disable system assertions; enable those in the anonymous package

     <assertions enableSystemAssertions="false" >
       <enable package="..." />
     </assertions>

enable assertions in a class called Test

     <assertions >
       <enable class="Test" />
     </assertions>

This type is a datatype, so you can declare assertions and use them later

     <assertions id="project.assertions" >
       <enable project="org.apache.test" />
     </assertions>

     <assertions refid="project.assertions" />

Since:
  Ant 1.6
Author:
  steve loughran

Nested Class Summary
`static class` `Assertions.BaseAssertion` base class for our assertion elements.
`static class` `Assertions.DisabledAssertion` A disabled assertion disables things
`static class` `Assertions.EnabledAssertion` an enabled assertion enables things

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Assertions()`

Method Summary
`void` `addDisable(Assertions.DisabledAssertion assertion)` disable assertions
`void` `addEnable(Assertions.EnabledAssertion assertion)` enable assertions
`void` `applyAssertions(CommandlineJava command)` apply all the assertions to the command.
`void` `applyAssertions(java.util.List commandList)` add the assertions to a list in a format suitable for adding to a command line
`protected java.lang.Object` `clone()` clone the objects.
`void` `setEnableSystemAssertions(java.lang.Boolean enableSystemAssertions)` enable or disable system assertions
`void` `setRefid(Reference ref)` Set the value of the refid attribute.
`int` `size()` how many assertions are made...will resolve references before returning

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Assertions

    public Assertions()

Method Detail

### addEnable

    public void addEnable(Assertions.EnabledAssertion assertion)

  enable assertions

  Parameters:
    `assertion` -

### addDisable

    public void addDisable(Assertions.DisabledAssertion assertion)

  disable assertions

  Parameters:
    `assertion` -

### setEnableSystemAssertions

    public void setEnableSystemAssertions(java.lang.Boolean enableSystemAssertions)

  enable or disable system assertions

  Parameters:
    `enableSystemAssertions` -

### setRefid

    public void setRefid(Reference ref)

  Set the value of the refid attribute.

  Subclasses may need to check whether any other attributes have been set as well or child elements have been created and thus override this method. if they do the must call `super.setRefid`.

  Overrides:
    `setRefid` in class `DataType`

### size

    public int size()

  how many assertions are made...will resolve references before returning

  Returns:
    total # of commands to make

### applyAssertions

    public void applyAssertions(java.util.List commandList)

  add the assertions to a list in a format suitable for adding to a command line

  Parameters:
    `commandList` -

### applyAssertions

    public void applyAssertions(CommandlineJava command)

  apply all the assertions to the command.

  Parameters:
    `command` -

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  clone the objects. This is not a full depth clone; the list of assertions is cloned, but it does not clone the underlying assertions.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a cli
  Throws:
    `java.lang.CloneNotSupportedException`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.